//
//  MyPickerDelegate.m
//  APicker
//
//  Created by Blake Ward on 9/10/10.
//  Copyright (c) 2010 __MyCompanyName__. All rights reserved.
//

#import "MyPickerDelegate.h"


@implementation MyPickerDelegate

@synthesize myData;

- (id) init { 
    if([super init] == nil)
        return nil; 
    
    myData = [[NSArray alloc]
              initWithObjects:@"Red",@"Yellow",@"Green",@"Blue", @"Purple", @"Orange",
              @"Black", @"Gray", @"Tan", @"Pink", @"Coral", nil]; 
    
    return self;
}

- (void)pickerView:(UIPickerView *)pickerView didSelectRow:(NSInteger)row inComponent:(NSInteger)component { 
    NSLog(@"picked row: %i, component: %i", row, component); 
    NSLog(@"the value: %@", [self.myData objectAtIndex:row]);
}

- (NSInteger) numberOfComponentsInPickerView: (UIPickerView *) pickerView { 
    return 1;
}

- (NSInteger) pickerView: (UIPickerView *) pickerView numberOfRowsInComponent: (NSInteger) component { 
    return [self.myData count];
}

- (NSString *) pickerView: (UIPickerView *) pickerView titleForRow: (NSInteger) row forComponent: (NSInteger) component { 
    return [self.myData objectAtIndex:row];
}

- (void)dealloc { 
    [myData release]; 
    [super dealloc];
}

@end
