//
//  ATimerViewController.m
//  ATimer
//
//  Created by Blake Ward on 9/10/10.
//  Copyright (c) 2010 __MyCompanyName__. All rights reserved.
//

#import "ATimerViewController.h"

@implementation ATimerViewController

@synthesize timePicker;

NSInteger seconds = 0;

- (IBAction) echoTime: (id) sender { 
    NSDate * time = timePicker.date; 
    NSDateFormatter * dateFormatter = [[[NSDateFormatter alloc] init] autorelease]; 
    [dateFormatter setDateFormat:@"HH:MM:SS"]; 
    NSLog(@"date: %@",[dateFormatter stringFromDate:time]); 
    NSCalendar *gregorian = [[NSCalendar alloc] initWithCalendarIdentifier: NSGregorianCalendar]; 
    NSDateComponents * comps = [gregorian components:(NSHourCalendarUnit | NSMinuteCalendarUnit)  fromDate:time]; 
    NSInteger hour = [comps hour]; 
    NSInteger minute = [comps minute]; 
    NSLog(@"Hour: %i", hour); 
    NSLog(@"minute: %i", minute); 
    NSInteger secs = hour * 60 * 60 + minute * 60; 
    NSNumber * elapsedSeconds = [[NSNumber alloc] initWithInt:secs]; 
    NSDictionary * myDict = [NSDictionary dictionaryWithObject: elapsedSeconds forKey:@"TotalSeconds"]; 
    [NSTimer scheduledTimerWithTimeInterval:1 target: self selector: @selector(echoIt:) userInfo: myDict repeats: YES];
}

- (void) echoIt: (NSTimer *) timer { 
    NSNumber * num = (NSNumber *) [[timer userInfo] valueForKey:@"TotalSeconds"]; 
    seconds++; 
    NSInteger secs = [num integerValue] - seconds; 
    NSLog(@"elapsed: %i, remaining: %i", seconds, secs);
}

/*
// The designated initializer. Override to perform setup that is required before the view is loaded.
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    if ((self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil])) {
        // Custom initialization
    }
    return self;
}
*/

/*
// Implement loadView to create a view hierarchy programmatically, without using a nib.
- (void)loadView {
}
*/


/*
// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad {
    [super viewDidLoad];
}
*/


/*
// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}
*/

- (void)didReceiveMemoryWarning {
	// Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
	
	// Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
	// Release any retained subviews of the main view.
	// e.g. self.myOutlet = nil;
}


- (void)dealloc {
    [timePicker release]; 
    [super dealloc];
}

@end
