//
//  MySettingsAppDelegate.m
//  MySettings
//
//  Created by Blake Ward on 9/10/10.
//  Copyright (c) 2010 __MyCompanyName__. All rights reserved.
//

#import "MySettingsAppDelegate.h"

#import "MySettingsViewController.h"

@implementation MySettingsAppDelegate


@synthesize window;

@synthesize viewController;

- (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(NSDictionary *)launchOptions { 
    NSString *testValue = [[NSUserDefaults standardUserDefaults] stringForKey:@"keyOne"]; 
    if (testValue == nil) { 
        NSDictionary *appDefaults = [NSDictionary 
                                     dictionaryWithObjectsAndKeys: @"keyOneValue", @"keyOne",
                                     @"keyTwoValue", @"keyTwo",@"0", @"keyThree", @"keyFourValue",
                                     @"keyFour", nil]; 
        [[NSUserDefaults standardUserDefaults] registerDefaults: appDefaults]; 
        [[NSUserDefaults standardUserDefaults] synchronize]; 
    } 
    NSUserDefaults * defaults = [NSUserDefaults standardUserDefaults]; 
    NSLog(@"%@",[defaults stringForKey:@"keyOne"]); 
    NSLog(@"%@",[defaults stringForKey:@"keyTwo"]); 
    NSLog(@"%@",[defaults stringForKey:@"keyThree"]); 
    NSLog(@"%@",[defaults stringForKey:@"keyFour"]);
    [window addSubview:viewController.view];
    [window makeKeyAndVisible];
    return YES;
}

- (void)applicationWillTerminate:(UIApplication *)application {

    // Save data if appropriate.
}

- (void)dealloc {

    [window release];
    [viewController release];
    [super dealloc];
}

@end
