//
//  Bar.m
//  Encoding
//
//  Created by Blake Ward on 9/11/10.
//  Copyright (c) 2010 __MyCompanyName__. All rights reserved.
//

#import "Bar.h"
#import "Foo.h"

@implementation Bar

@synthesize foos; 

-(id) init {
    if([super init] == nil)
        return nil;
    Foo * foo1 = [[Foo alloc] init];
    foo1.name = @"Juliana";
    foo1.age = [NSNumber numberWithInt:7];
    Foo * foo2 = [[Foo alloc] init];
    foo2.name = @"Nicolas";
    foo2.age = [NSNumber numberWithInt:3];
    foos = [[NSMutableArray alloc] initWithObjects:foo1, foo2, nil];
    return self; 
} 

-(void) encodeWithCoder: (NSCoder *) coder {
    [coder encodeObject: foos forKey:@"foos"];
}

-(id) initWithCoder: (NSCoder *) coder {
    self = [super init];
    foos = [[coder decodeObjectForKey:@"foos"] retain];
    return self;
} 

-(id) copyWithZone: (NSZone *) zone {
    Bar * aBar = [[Bar allocWithZone:zone] init];
    NSMutableArray *newArray = [[[NSMutableArray alloc] initWithArray: self.foos copyItems:YES] autorelease];
    aBar.foos = newArray;
    return aBar;
} 

-(void) dealloc {
    [foos release];
    [super dealloc]; 
}

@end