//
//  SimpleArrayAppDelegate.m
//  SimpleArray
//
//  Created by Blake Ward on 9/11/10.
//  Copyright (c) 2010 __MyCompanyName__. All rights reserved.
//

#import "SimpleArrayAppDelegate.h"

#import "SimpleArrayViewController.h"

@implementation SimpleArrayAppDelegate


@synthesize window;

@synthesize viewController;

- (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(NSDictionary *)launchOptions {
    NSMutableArray * dataArray = [[NSMutableArray alloc] initWithObjects: @"First", @"Second", @"Third", nil];
    NSString * path = [(NSString *) [NSSearchPathForDirectoriesInDomains (NSDocumentDirectory, NSUserDomainMask, YES) objectAtIndex:0] stringByAppendingPathComponent:@"properties.plist"];
    [dataArray writeToFile:path atomically:YES];

    NSArray * dataArray2 = [[NSArray alloc] initWithContentsOfFile:path];
    NSLog(@"objects: %@, %@, %@", [dataArray2 objectAtIndex:0], [dataArray2 objectAtIndex:1], [dataArray2 objectAtIndex:2]);

    [window addSubview:viewController.view];
    [window makeKeyAndVisible];
    [dataArray release];
    [dataArray2 release]; 
    return YES;
}

- (void)applicationWillTerminate:(UIApplication *)application {

    // Save data if appropriate.
}

- (void)dealloc {

    [window release];
    [viewController release];
    [super dealloc];
}

@end
