//
//  AVPlayerViewController.m
//  AVPlayer
//
//  Created by Blake Ward on 10/7/10.
//  Copyright (c) 2010 __MyCompanyName__. All rights reserved.
//

#import "AVPlayerViewController.h"

@implementation AVPlayerViewController

-(void) viewDidLoad {
    AudioServicesCreateSystemSoundID((CFURLRef)[NSURL fileURLWithPath: [[NSBundle mainBundle] pathForResource:@"burp_2" ofType:@"aif"]], &burpSoundID); } 

-(IBAction) playSound: (id) sender {
    AudioServicesPlaySystemSound (burpSoundID);
} 

-(IBAction) playSong: (id) sender {
    NSError *error = nil;
    player = [[AVAudioPlayer alloc] initWithContentsOfURL:
              [NSURL fileURLWithPath:[[NSBundle mainBundle] pathForResource: @"charleston1925_64kb" ofType:@"mp3"]] error:&error];
    
    player.delegate = self;
    if (error != NULL) {
        NSLog(@"%@", [error description]); 
        [error release];
    }
    [player play]; 
} 

-(void) audioPlayerDidFinishPlaying: (AVAudioPlayer *) theplayer successfully:(BOOL)flag {
    [theplayer release];
} 

/*
// The designated initializer. Override to perform setup that is required before the view is loaded.
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    if ((self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil])) {
        // Custom initialization
    }
    return self;
}
*/

/*
// Implement loadView to create a view hierarchy programmatically, without using a nib.
- (void)loadView {
}
*/


/*
// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad {
    [super viewDidLoad];
}
*/


/*
// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}
*/

- (void)didReceiveMemoryWarning {
	// Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
	
	// Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
	// Release any retained subviews of the main view.
	// e.g. self.myOutlet = nil;
}


-(void)dealloc {
    [player release];
    [super dealloc]; 
}

@end
