//
//  RootViewController.m
//  CustomizedCell
//
//  Created by Blake Ward on 8/31/10.
//  Copyright (c) 2010 __MyCompanyName__. All rights reserved.
//


#import "RootViewController.h"
#import "CustomizedCellAppDelegate.h" 

@implementation RootViewController

- (void)viewDidLoad {

    [super viewDidLoad];
}


/*
- (void)viewWillAppear:(BOOL)animated {
    [super viewWillAppear:animated];
}
*/
/*
- (void)viewDidAppear:(BOOL)animated {
    [super viewDidAppear:animated];
}
*/
/*
- (void)viewWillDisappear:(BOOL)animated {
	[super viewWillDisappear:animated];
}
*/
/*
- (void)viewDidDisappear:(BOOL)animated {
	[super viewDidDisappear:animated];
}
*/

-(NSInteger)numberOfSectionsInTableView:(UITableView *)tableView {
    return 1; 
} 

-(NSInteger)tableView: (UITableView *) tableView 
numberOfRowsInSection: (NSInteger) section {
    return 5;
}

-(CGFloat) tableView : (UITableView *) tableView 
heightForRowAtIndexPath: (NSIndexPath *) indexPath {
    return 110; 
} 

-(UITableViewCell *)tableView:(UITableView *) tableView cellForRowAtIndexPath: (NSIndexPath *) indexPath { 
    MyCellView *cell = (MyCellView *) [tableView dequeueReusableCellWithIdentifier: @"MyCell"]; 
    if(cell == nil) { 
        cell = [[[NSBundle mainBundle] loadNibNamed:@"MyCellView" owner:self options:nil] objectAtIndex:0]; 
    }
    [cell.theTextLabel setText:@"Just some static text."];
    NSString *imagePath = [[NSBundle mainBundle] pathForResource:@"money" ofType:@"png"];
    cell.imageView.image = [UIImage imageWithContentsOfFile:imagePath]; 
    [cell setAccessoryType:UITableViewCellAccessoryCheckmark]; cell.contentView.backgroundColor = [UIColor yellowColor];
    cell.backgroundView.backgroundColor = [UIColor yellowColor]; 
    return cell; 
} 

/*
// Override to support conditional editing of the table view.
- (BOOL)tableView:(UITableView *)tableView canEditRowAtIndexPath:(NSIndexPath *)indexPath {
    // Return NO if you do not want the specified item to be editable.
    return YES;
}
*/

/*
// Override to support editing the table view.
- (void)tableView:(UITableView *)tableView commitEditingStyle:(UITableViewCellEditingStyle)editingStyle forRowAtIndexPath:(NSIndexPath *)indexPath {
    
    if (editingStyle == UITableViewCellEditingStyleDelete) {
        // Delete the row from the data source.
        [tableView deleteRowsAtIndexPaths:[NSArray arrayWithObject:indexPath] withRowAnimation:UITableViewRowAnimationFade];
    }   
    else if (editingStyle == UITableViewCellEditingStyleInsert) {
        // Create a new instance of the appropriate class, insert it into the array, and add a new row to the table view.
    }   
}
*/

/*
// Override to support rearranging the table view.
- (void)tableView:(UITableView *)tableView moveRowAtIndexPath:(NSIndexPath *)fromIndexPath toIndexPath:(NSIndexPath *)toIndexPath {
}
*/

- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath {
    // Navigation logic may go here -- for example, create and push another view controller.
    /*
     <#DetailViewController#> *detailViewController = [[<#DetailViewController#> alloc] initWithNibName:@"<#Nib name#>" bundle:nil];
     NSManagedObject *selectedObject = [[self fetchedResultsController] objectAtIndexPath:indexPath];
     // ...
     // Pass the selected object to the new view controller.
     [self.navigationController pushViewController:detailViewController animated:YES];
     [detailViewController release];
     */
}

- (void)didReceiveMemoryWarning {
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Relinquish ownership any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
    // Relinquish ownership of anything that can be recreated in viewDidLoad or on demand.
    // For example: self.myOutlet = nil;
}

- (void)dealloc {

    [super dealloc];
}

@end
