#import "TableHandler.h" 

@implementation TableHandler 

@synthesize tableDataList; 

-(void) fillList { 
    NSArray * tempArray = [[[NSArray alloc] initWithObjects:@"Item One",
                            @"Item Two", @"Item Three", @"Item Four", @"Item Five", @"Item Six",
                            @"Item Seven", @"Item Eight", @"Item Nine", @"Item Ten", @"Item Eleven",
                            @"Item Twelve", @"Item Thirteen", @"Item Fourteen", @"Item Fifteen", 
                            @"Item Sixteen", @"Item Seventeen", @"Item Eighteen", @"Item Nineteen",
                            @"Item Twenty", nil] autorelease]; 
    self.tableDataList = tempArray; 
}

-(NSInteger) tableView : (UITableView *) tableView numberOfRowsInSection: (NSInteger) section {
    return [self.tableDataList count];
}

-(UITableViewCell *) tableView : (UITableView *) tableView cellForRowAtIndexPath: (NSIndexPath *) indexPath {
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:@"acell"];
    
    if(cell == nil) {
        cell = [[[UITableViewCell alloc] initWithStyle:UITableViewCellStyleDefault reuseIdentifier:@"acell"] autorelease]; 
    } 
    cell.textLabel.text = [self.tableDataList objectAtIndex:[indexPath row]]; return cell; 
} 
                                                                                   
-(void)dealloc { 
    [tableDataList release]; 
    [super dealloc]; 
} 
                                                                                   
@end
