//
//  ActivityAndProgressViewController.m
//  ActivityAndProgress
//
//  Created by Blake Ward on 9/8/10.
//  Copyright (c) 2010 __MyCompanyName__. All rights reserved.
//

#import "ActivityAndProgressViewController.h"
#import "PleaseWaitViewController.h"
#import "ActivityAndProgressAppDelegate.h"

@implementation ActivityAndProgressViewController

@synthesize myActivityView; 

int completed = 0; 
-(void) moveBar: (id) object {
    completed ++;
    myActivityView.myProgress.progress = completed/20.0f;
    if(completed > 20) {
        [object invalidate];
        [self.myActivityView.view removeFromSuperview];
        [self.view setAlpha:1.0f];
        completed = 0;
        self.myActivityView.myProgress.progress = 0;
    }
}

-(IBAction) doIt: (id) sender {
    myActivityView.view.backgroundColor = [UIColor clearColor];
    [self.view setAlpha:0.7f];
    [((ActivityAndProgressAppDelegate *)[UIApplication sharedApplication].delegate).window insertSubview:myActivityView.view aboveSubview: self.view];
    [NSTimer scheduledTimerWithTimeInterval: 0.5 target: self selector: @selector(moveBar:) userInfo: nil repeats: YES];
}

/*
// The designated initializer. Override to perform setup that is required before the view is loaded.
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    if ((self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil])) {
        // Custom initialization
    }
    return self;
}
*/

/*
// Implement loadView to create a view hierarchy programmatically, without using a nib.
- (void)loadView {
}
*/


/*
// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad {
    [super viewDidLoad];
}
*/


/*
// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}
*/

- (void)didReceiveMemoryWarning {
	// Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
	
	// Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
	// Release any retained subviews of the main view.
	// e.g. self.myOutlet = nil;
}


- (void)dealloc {
    [myActivityView release]; 
    [super dealloc];
}

@end
