//
//  MyWebViewController.m
//  MyWeb
//
//  Created by Blake Ward on 9/9/10.
//  Copyright (c) 2010 __MyCompanyName__. All rights reserved.
//

#import "MyWebViewController.h"
#import "MyWebViewDelegate.h"

@implementation MyWebViewController

@synthesize myWebView;
@synthesize myTextField;
@synthesize myWebViewDelegate;

- (void) viewDidLoad { 
    myWebViewDelegate = [[MyWebViewDelegate alloc] init]; 
    myWebView.delegate = myWebViewDelegate;
}

- (IBAction) changeLocation: (id) sender { 
    [myTextField resignFirstResponder]; 
    NSURL * url = [NSURL URLWithString: myTextField.text]; 
    NSURLRequest * request = [NSURLRequest requestWithURL:url]; 
    [myWebView loadRequest:request];
}

/*
// The designated initializer. Override to perform setup that is required before the view is loaded.
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    if ((self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil])) {
        // Custom initialization
    }
    return self;
}
*/

/*
// Implement loadView to create a view hierarchy programmatically, without using a nib.
- (void)loadView {
}
*/

/*
// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}
*/

- (void)didReceiveMemoryWarning {
	// Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
	
	// Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
	// Release any retained subviews of the main view.
	// e.g. self.myOutlet = nil;
}

- (void)dealloc { 
    myWebView.delegate = nil; 
    [myWebViewDelegate release]; 
    [myTextField release]; 
    [myWebView release]; 
    [super dealloc];
}

@end
