//
//  MyPickerDelegate.m
//  APicker
//
//  Created by Blake Ward on 9/10/10.
//  Copyright (c) 2010 __MyCompanyName__. All rights reserved.
//

#import "MyPickerDelegate.h"


@implementation MyPickerDelegate

@synthesize myData;
@synthesize myData2;

- (id) init { 
    if([super init] == nil)
        return nil; 
    
    myData = [[NSArray alloc]
              initWithObjects:@"Red",@"Yellow",@"Green",@"Blue", @"Purple", @"Orange",
              @"Black", @"Gray", @"Tan", @"Pink", @"Coral", nil]; 
    myData2 = [[NSArray alloc] initWithObjects: @"Very Dark", @"Dark", @"Normal",
               @"Light", @"Very Light", nil]; 
  
    return self;
}

- (void)pickerView:(UIPickerView *)pickerView didSelectRow:(NSInteger)row inComponent:(NSInteger)component { 
    NSLog(@"picked row: %i, component: %i", row, component); 
    if(component == COLOR_WHEEL) 
        NSLog(@"the value: %@", [self.myData objectAtIndex:row]); 
    else 
        NSLog(@"the value: %@", [self.myData2 objectAtIndex:row]);
}

- (NSInteger) numberOfComponentsInPickerView: (UIPickerView *) pickerView { 
    return 2;
}

- (NSInteger) pickerView: (UIPickerView *) pickerView numberOfRowsInComponent: (NSInteger) component { 
    if(component == COLOR_WHEEL) 
        return [self.myData count]; 
    else  
        return [self.myData2 count];
}

- (NSString *) pickerView: (UIPickerView *) pickerView titleForRow: (NSInteger) row forComponent: (NSInteger) component { 
    if(component == COLOR_WHEEL) 
        return [self.myData objectAtIndex:row]; 
    else  
        return [self.myData2 objectAtIndex:row];
}

- (void)dealloc { 
    [myData release]; 
    [myData2 release];
    [super dealloc];
}

@end
