//
//  MyPickerDelegate.m
//  APicker
//
//  Created by Blake Ward on 9/10/10.
//  Copyright (c) 2010 __MyCompanyName__. All rights reserved.
//

#import "MyPickerDelegate.h"

@implementation MyPickerDelegate

@synthesize myData;

- (id) init { 
    if([super init] == nil)
        return nil; 
    
    UIImageView * one = [[UIImageView alloc] initWithImage:[[UIImage alloc] initWithContentsOfFile: [[[NSBundle mainBundle] resourcePath] stringByAppendingPathComponent:@"wizard.png"]]];  
    UIImageView * two =[[UIImageView alloc] initWithImage:[[UIImage alloc] initWithContentsOfFile: [[[NSBundle mainBundle] resourcePath] stringByAppendingPathComponent: @"tux.png"]]];  
    UIImageView * three =[[UIImageView alloc] initWithImage:[[UIImage alloc] initWithContentsOfFile: [[[NSBundle mainBundle] resourcePath] stringByAppendingPathComponent:@"money.png"]]];  
    
    myData = [[NSArray alloc] initWithObjects:one,two,three,nil]; 
    return self;
}

- (void)pickerView:(UIPickerView *)pickerView didSelectRow:(NSInteger)row inComponent: (NSInteger)component { 
    NSLog(@"picked row: %i, component: %i", row, component);
}

- (NSInteger) numberOfComponentsInPickerView: (UIPickerView *) pickerView { 
    return 1;
}

- (NSInteger) pickerView: (UIPickerView *) pickerView numberOfRowsInComponent: (NSInteger) component { 
    return [self.myData count];
}

- (UIView *)pickerView:(UIPickerView *)pickerView viewForRow:(NSInteger) row forComponent:(NSInteger)component reusingView:(UIView *)view { 
    return [self.myData objectAtIndex:row];
}

- (void)dealloc { 
    [myData release]; 
    [super dealloc];
}

@end
