//
//  MyImagePickerDelegate.m
//  CameraProject
//
//  Created by Blake Ward on 9/10/10.
//  Copyright (c) 2010 __MyCompanyName__. All rights reserved.
//

#import "MyImagePickerDelegate.h"

@implementation MyImagePickerDelegate

@synthesize selectedImage;

- (void) imagePickerControllerDidCancel: (UIImagePickerController *) picker {  
    [picker.parentViewController dismissModalViewControllerAnimated:YES]; 
    [picker release];
}

- (void)imagePickerController:(UIImagePickerController *) picker didFinishPickingMediaWithInfo:(NSDictionary *) info { 
    self.selectedImage = (UIImage*)[info objectForKey:UIImagePickerControllerOriginalImage]; 
    [[NSNotificationCenter defaultCenter] postNotificationName:@"ImagePicked" object:nil]; 
    [picker.parentViewController dismissModalViewControllerAnimated: YES]; 
    [picker release];
}

- (void) dealloc { 
    [selectedImage release]; 
    [super dealloc];
}
@end
