//
//  CameraProjectViewController.h
//  CameraProject
//
//  Created by Blake Ward on 9/10/10.
//  Copyright (c) 2010 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>

@class MyImagePickerDelegate;

@interface CameraProjectViewController : UIViewController { 
    MyImagePickerDelegate * imgPickerDelegate; 
    UIImageView * theImageView;
    UIBarButtonItem * theTakePhotoButton;
}  

@property (nonatomic, retain) IBOutlet MyImagePickerDelegate *imgPickerDelegate;
@property (nonatomic, retain) IBOutlet UIImageView *theImageView;
@property (nonatomic, retain) IBOutlet UIBarButtonItem * theTakePhotoButton;

- (IBAction) takePicture: (id) sender;
- (IBAction) selectPicture: (id) sender;

@end
