//
//  Foo.m
//  Encoding
//
//  Created by Blake Ward on 9/11/10.
//  Copyright (c) 2010 __MyCompanyName__. All rights reserved.
//

#import "Foo.h"


@implementation Foo

@synthesize name;
@synthesize age; 

-(id) copyWithZone: (NSZone *) zone {
    Foo * aFoo = [[Foo allocWithZone:zone] init];
    aFoo.name = [NSString stringWithString: self.name];
    aFoo.age = [NSNumber numberWithInt:[self.age intValue]];
    return aFoo; 
} 

-(void) encodeWithCoder: (NSCoder *) coder {
    [coder encodeObject:name forKey: @"name"];
    [coder encodeObject:age forKey: @"age"]; 
} 

-(id) initWithCoder: (NSCoder *) coder { 
    self = [super init];
    name = [[coder decodeObjectForKey:@"name"] retain];
    age = [[coder decodeObjectForKey:@"age"] retain];
    return self; 
} 

-(void) dealloc {
    [name release];
    [age release];
    [super dealloc]; 
}
@end