//
//  BreedDetailViewController.m
//  DogBreeds
//
//  Created by Blake Ward on 9/16/10.
//  Copyright (c) 2010 __MyCompanyName__. All rights reserved.
//

#import "BreedDetailViewController.h"
#import "Breed.h"

@implementation BreedDetailViewController

@synthesize breedDescription;
@synthesize photo;
@synthesize selectedBreed;

- (void)viewWillAppear:(BOOL)animated {
    [super viewWillAppear:animated];
    self.breedDescription.text = self.selectedBreed.breedDescription;

    NSURL* aURL = [NSURL URLWithString:self.selectedBreed.photoURL];    
    NSData *imageData = [[NSData alloc] initWithContentsOfURL:aURL];
    UIImage *theImage = [[UIImage alloc] initWithData:imageData];
    [photo setImage:theImage];
    [theImage release];
}

/*
// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}
*/

- (void)didReceiveMemoryWarning {
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}


- (void)dealloc {
    [breedDescription release];
    [photo release];
    [selectedBreed release];
    [super dealloc];
}

@end
