//
//  BreedViewController.h
//  DogBreeds
//
//  Created by Blake Ward on 9/16/10.
//  Copyright (c) 2010 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>

@class Breed;
@class AKCGroup;

@interface BreedViewController : UIViewController {
   UITextField *nameField;
   UITextView *breedDescriptionField;
   UITextField *photoURLField;
   Breed *breed;

    BOOL insertingBreed;
    AKCGroup *selectedGroup;    // If we have to delete the breed, we need to know the group it's in
}

@property(nonatomic, retain) IBOutlet UITextField *nameField;
@property(nonatomic, retain) IBOutlet UITextView *breedDescriptionField;
@property(nonatomic, retain) IBOutlet UITextField *photoURLField;
@property(nonatomic, retain) Breed *breed;

@property(nonatomic, assign) BOOL insertingBreed;
@property (nonatomic, retain) AKCGroup *selectedGroup;

@end
