//
//  MyMediaPickerDelegate.m
//  iPodSongs
//
//  Created by Blake Ward on 10/7/10.
//  Copyright (c) 2010 __MyCompanyName__. All rights reserved.
//

#import "MyMediaPickerDelegate.h"


@implementation MyMediaPickerDelegate

-(void) mediaPicker: (MPMediaPickerController *) mediaPicker didPickMediaItems: (MPMediaItemCollection *) mediaItemCollection {
    NSArray * mediaItems = [mediaItemCollection items];
    NSEnumerator * enumer = [mediaItems objectEnumerator];
    id myObject;
    while (myObject = [enumer nextObject]) {
        MPMediaItem * tempMediaItem = (MPMediaItem *) myObject; NSLog(@"Title: %@", [tempMediaItem valueForProperty: MPMediaItemPropertyTitle]); 
        NSLog(@"id: %@", [tempMediaItem valueForProperty: MPMediaItemPropertyArtist]);
        NSLog(@"id: %i", [tempMediaItem valueForProperty: MPMediaItemPropertyPersistentID]); 
        NSLog(@"-----------------------");
    }
    [mediaPicker.parentViewController dismissModalViewControllerAnimated :YES];
    [mediaPicker release];
    [[NSNotificationCenter defaultCenter] postNotificationName: @"SongsPicked" object: mediaItemCollection];
}

-(void) dealloc {
    [[NSNotificationCenter defaultCenter] removeObserver: self];
    [super dealloc]; 
}

@end
