//
//  iPodSongsViewController.h
//  iPodSongs
//
//  Created by Blake Ward on 10/7/10.
//  Copyright (c) 2010 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <MediaPlayer/MediaPlayer.h>
@class MyMediaPickerDelegate;

@interface iPodSongsViewController : UIViewController {
    MyMediaPickerDelegate * mediaControllerDelegate;
    MPMediaLibrary * mediaLib;
    IBOutlet UILabel * currentTitle;
    IBOutlet UILabel * currentArtist;
    IBOutlet UILabel * currentLengthInSeconds;
    MPMusicPlayerController * player;
    IBOutlet UIView * volumeView;
    MPVolumeView * mpVolumeView; 
}
@property (nonatomic, retain) MyMediaPickerDelegate *mediaControllerDelegate;
@property (nonatomic, retain) MPMediaLibrary * mediaLib;
@property (nonatomic, retain) UILabel * currentTitle;
@property (nonatomic, retain) UILabel * currentArtist;
@property (nonatomic, retain) UILabel * currentLengthInSeconds;
@property (nonatomic, retain) MPMusicPlayerController * player;
@property (nonatomic, retain) IBOutlet UIView * volumeView;

- (IBAction) selectSongs : (id) sender; 
- (IBAction) changeState: (id) sender;

@end
