//
//  RootViewController.h
//  DogBreeds
//
//  Created by Blake Ward on 9/15/10.
//  Copyright (c) 2010 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <CoreData/CoreData.h>

@class AKCGroup;
@class AKCGroupViewController;
@class BreedsListViewController;
@class BreedDetailViewController;

@interface RootViewController : UITableViewController <NSFetchedResultsControllerDelegate> {

    NSFetchedResultsController *fetchedResultsController;
    NSManagedObjectContext *managedObjectContext;
    AKCGroupViewController *groupEditorVC;
    BreedsListViewController *breedsListVC;
    BreedDetailViewController *breedDetailVC;
}

@property (nonatomic, retain) NSFetchedResultsController *fetchedResultsController;
@property (nonatomic, retain) NSManagedObjectContext *managedObjectContext;

@property (nonatomic, retain) IBOutlet AKCGroupViewController *groupEditorVC;
@property (nonatomic, retain) IBOutlet BreedsListViewController *breedsListVC;

@property (nonatomic, retain) IBOutlet BreedDetailViewController *breedDetailVC;

@end
