//
//  MoviePlayerViewController_iPad.m
//  MoviePlayer
//
//  Created by Blake Ward on 10/14/10.
//  Copyright (c) 2010 __MyCompanyName__. All rights reserved.
//

#import "MoviePlayerViewController_iPad.h"


@implementation MoviePlayerViewController_iPad

/*
 // The designated initializer.  Override if you create the controller programmatically and want to perform customization that is not appropriate for viewDidLoad.
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    if ((self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil])) {
        // Custom initialization
    }
    return self;
}
*/

/*
// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad {
    [super viewDidLoad];
}
*/


- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Overriden to allow any orientation.
    return YES;
}

-(IBAction) playMovie: (id) sender {
    movieplayer = [[MPMoviePlayerController alloc] initWithContentURL: [NSURL fileURLWithPath:[[NSBundle mainBundle] pathForResource:@"short" ofType:@"3gp"]]];
    [[NSNotificationCenter defaultCenter] addObserver:self selector: @selector (playingDone) name:MPMoviePlayerPlaybackDidFinishNotification object:nil];

    // Set frame of movie player
    CGPoint center = ([UIDevice currentDevice].orientation == UIDeviceOrientationPortrait) ? CGPointMake(384,512) : CGPointMake(512,384);
    [[movieplayer view] setFrame:CGRectMake(center.x - 240, center.y - 160, 480, 320)];
        
    // Add movie player as subview
    [[self view] addSubview:[movieplayer view]];   
        
    // Play the movie
    [movieplayer play];
}

- (void)didReceiveMemoryWarning {
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc that aren't in use.
}


- (void)viewDidUnload {
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}


- (void)dealloc {
    [super dealloc];
}


@end
