//
//  SimpleViewViewController.m
//  SimpleView
//
//  Created by Blake Ward on 8/26/10.
//  Copyright (c) 2010 __MyCompanyName__. All rights reserved.
//

#import "SimpleViewViewController.h"

@implementation SimpleViewViewController

@synthesize theLabel;

-(IBAction) changeLabelValue : (id) sender { 
	[theLabel setText:@"Hello World."];
	UIButton *theBut = sender;
	NSLog(@"%@",theBut.currentTitle);
	theBut.enabled = NO;
	[theBut setTitle:@"Pressed Already" forState: UIControlStateDisabled];
} 

/*
// The designated initializer. Override to perform setup that is required before the view is loaded.
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    if ((self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil])) {
        // Custom initialization
    }
    return self;
}
*/

/*
// Implement loadView to create a view hierarchy programmatically, without using a nib.
- (void)loadView {
}
*/


/*
// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad {
    [super viewDidLoad];
}
*/


/*
// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}
*/

-(BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation) interfaceOrientation { 
    return YES;
} 

-(void)didReceiveMemoryWarning {
    NSLog(@"received memory warning....");
    [super didReceiveMemoryWarning]; 
} 

-(void)viewDidLoad { 
    NSLog(@"view did load...");
    [super viewDidLoad]; 
} 

-(void)viewWillAppear:(BOOL)animated {
    NSLog(@"view will appear...");
}

-(void)viewDidUnload {
    NSLog(@"view did unload...");
}

-(void)didRotateFromInterfaceOrientation:(UIInterfaceOrientation) fromInterfaceOrientation {
    NSLog(@"view rotated....");
}

- (void)dealloc {
    [super dealloc];
}

@end
